Module | Sequel::Plugins::Composition::InstanceMethods
In: | lib/sequel/plugins/composition.rb

### Methods

_refresh before_save compositions

### Public Instance methods

_refresh(ds)

Clear the cached compositions when refreshing.

[Source]

         # File lib/sequel/plugins/composition.rb, line 119
    119:         def _refresh(ds)
    120:           v = super
    121:           compositions.clear
    122:           v
    123:         end

before_save()

For each composition, set the columns in the model class based on the composition object.

[Source]

         # File lib/sequel/plugins/composition.rb, line 127
    127:         def before_save
    128:           @compositions.keys.each{|n| instance_eval(&model.compositions[n][:decomposer])} if @compositions
    129:           super
    130:         end

compositions()

Cache of composition objects for this class.

[Source]

         # File lib/sequel/plugins/composition.rb, line 133
    133:         def compositions
    134:           @compositions ||= {}
    135:         end

[Validate]